summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2021-06-19 13:40:22 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2021-06-19 13:41:44 -0500
commita389184c9261f98856323f533344a0dae28bedaf (patch)
tree74f6b9921f1231685e39cb119535421d5fa945b7 /dev-python/pypowervm/pypowervm-1.1.24.ebuild
parentdev-python/blosc: Enable py3.10 (diff)
downloadgentoo-a389184c9261f98856323f533344a0dae28bedaf.tar.gz
gentoo-a389184c9261f98856323f533344a0dae28bedaf.tar.bz2
gentoo-a389184c9261f98856323f533344a0dae28bedaf.zip
profiles/package.mask: Remove some openstack-related packages
Removed due to high-burden and unmaintainable python requirements. Closes: https://bugs.gentoo.org/793800 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'dev-python/pypowervm/pypowervm-1.1.24.ebuild')
-rw-r--r--dev-python/pypowervm/pypowervm-1.1.24.ebuild31
1 files changed, 0 insertions, 31 deletions
diff --git a/dev-python/pypowervm/pypowervm-1.1.24.ebuild b/dev-python/pypowervm/pypowervm-1.1.24.ebuild
deleted file mode 100644
index 70331421567..00000000000
--- a/dev-python/pypowervm/pypowervm-1.1.24.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-inherit distutils-r1
-
-DESCRIPTION="Python binding for the PowerVM REST API"
-HOMEPAGE="https://pypi.org/project/pypowervm/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-
-DEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]"
-RDEPEND="
- >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/lxml-3.4.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-3.8.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-2.14.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-3.22.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-3.20.0[${PYTHON_USEDEP}]
- dev-python/pyasn1-modules[${PYTHON_USEDEP}]
- dev-python/pyasn1[${PYTHON_USEDEP}]
- >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
- >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- >=dev-python/taskflow-2.16.0[${PYTHON_USEDEP}]"